;  $Id: DOSVER.INC 1.30 2003/10/09 22:24:50 thomd Exp $
;
;  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;  Copyright (c) 1990-2003 Datalight, Inc.
;  All Rights Reserved
;
;  Datalight, Inc. is a Washington corporation located at:
;
;  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
;  Bothell, WA  98021                    Fax: +1.425.951.8094
;  USA                                   Http://www.datalight.com
;
;  This software, including without limitation all source code and
;  documentation, is the confidential, trade secret property of
;  Datalight, Inc., and is protected under the copyright laws of
;  the United States and other jurisdictions.  Portions of the
;  software may also be subject to one or more the following US
;  patents: US#5860082, US#6260156.
;
;  In addition to civil penalties for infringement of copyright
;  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;  penalties for violation of (a) the restrictions on circumvention
;  of copyright protection systems found in 17 U.S.C. 1201 and
;  (b) the protections for the integrity of copyright management
;  information found in 17 U.S.C. 1202.
;
;  U.S. Government Restricted Rights.  Use, duplication,
;  reproduction, or transfer of this commercial product and
;  accompanying documentation is restricted in accordance with
;  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
;  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
;  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;  THIS SOFTWARE IN ERROR.
;
COMMENT ~ -------------------------------------------------

   DOSVER.INC  created 02/05/90  by Drew Gislason

   Copyright (c) 1990-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary

   This file is included in the ROM-DOS assembly language
   utilities.

   VERSION     is the "revision" value
   VERSIONVAL  is used for internal checking
   FULLVERSION includes both version and revision info
   COPYRIGHT   must say Datalight

---------------------------------------------------------- ~

IS_ALPHA	EQU	0
IS_BETA		EQU	0

if IS_ALPHA
ALPHA_BETA_LABEL1	EQU " -ALPHA-",
ALPHA_BETA_LABEL2	EQU 0dh,0ah,"This ALPHA version is NOT for redistribution.",
ifndef BUILDNUM
BUILDNUM 		EQU	1
endif  ; ifndef BUILDNUM
else ; if IS_ALPHA
if IS_BETA
ALPHA_BETA_LABEL1	EQU " -BETA-",
ALPHA_BETA_LABEL2	EQU 0dh,0ah,"This BETA version is NOT for redistribution.",
ifndef BUILDNUM
BUILDNUM 		EQU	1
endif  ; ifndef BUILDNUM
else  ; if IS_BETA
ALPHA_BETA_LABEL1	EQU "",
ALPHA_BETA_LABEL2	EQU "",
endif  ; if IS_BETA
endif  ; if IS_ALPHA


SUV_LABEL EQU "",
ifdef RD_SUV
SUV_LABEL EQU "SU",
endif
ifdef RD_REP
SUV_LABEL EQU "REP",
endif



SHORTVERSION 	EQU	"v7.10"
SHORTVERSION622	EQU	"v6.22"

IFDEF FAT32
COMPATIBILILITY	EQU	70ah
ELSE
COMPATIBILITY	EQU	616h
ENDIF

include bldver.inc

ifdef BUILDNUM
_BUILD_NUMBER		EQU " (BUILT: ",BUILDDATE,")",
else
_BUILD_NUMBER		EQU "",
endif

ifdef XTVER
REVISION	EQU	"4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1"",_BUILD_NUMBER"",SUV_LABEL"",XTVER,""
FULLVERSION	EQU	"v7.10 (Revision 4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1"",SUV_LABEL")",_BUILD_NUMBER"",XTVER,""
BUILDVERSION	EQU	"(Revision 4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1,"",SUV_LABEL")",_BUILD_NUMBER"",XTVER,""
else  ; ifdef XTVER
REVISION	EQU	"4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1"",_BUILD_NUMBER"",SUV_LABEL""
FULLVERSION	EQU	"v7.10 (Revision 4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1"",SUV_LABEL")",_BUILD_NUMBER""
BUILDVERSION	EQU	"(Revision 4.11.",BUILD_NUMBER,"",ALPHA_BETA_LABEL1"",SUV_LABEL")",_BUILD_NUMBER""
endif  ; ifdef XTVER


VERSIONVAL 	EQU	411h
COPYRIGHT 	EQU	"Copyright (c) 1989-2003 Datalight, Inc.",ALPHA_BETA_LABEL2""
