;  $Id: PROFILE.INC 1.5 2003/05/07 17:48:26 thomd Exp $
;
;  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;  Copyright (c) 2002-2003 Datalight, Inc.
;  All Rights Reserved
;
;  Datalight, Inc. is a Washington corporation located at:
;
;  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
;  Bothell, WA  98021                    Fax: +1.425.951.8094
;  USA                                   Http://www.datalight.com
;
;  This software, including without limitation all source code and
;  documentation, is the confidential, trade secret property of
;  Datalight, Inc., and is protected under the copyright laws of
;  the United States and other jurisdictions.  Portions of the
;  software may also be subject to one or more the following US
;  patents: US#5860082, US#6260156.
;
;  In addition to civil penalties for infringement of copyright
;  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;  penalties for violation of (a) the restrictions on circumvention
;  of copyright protection systems found in 17 U.S.C. 1201 and
;  (b) the protections for the integrity of copyright management
;  information found in 17 U.S.C. 1202.
;
;  U.S. Government Restricted Rights.  Use, duplication,
;  reproduction, or transfer of this commercial product and
;  accompanying documentation is restricted in accordance with
;  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
;  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
;  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;  THIS SOFTWARE IN ERROR.
;
;----------------------------------------------------------
;  PROFILE.H
;
;  Copyright (c) 2002 Datalight, Inc.
;  All Rights Reserved.
;  Datalight Confidential and Proprietary
;
;  03-20-02  bt  Created
;

IFNDEF PROFILE_INC         ;  include this file only once
NOWARN PDC

PROFILE_INC equ 1

IFNDEF ENABLE_PROGRAM_PROFILE
ENABLE_PROGRAM_PROFILE	equ	0
ENDIF


IF ENABLE_PROGRAM_PROFILE

ENTER_FUNCTION MACRO
	push	ax
	mov	ax, 0ffffh
	int	1ah
	pop	ax
ENDM

EXIT_FUNCTION MACRO
	push	ax
	mov	ax, 0fffeh
	int	1ah
	pop	ax
ENDM

ELSE

ENTER_FUNCTION MACRO
ENDM
EXIT_FUNCTION MACRO
ENDM

ENDIF


ENDIF	; IFNDEF PROFILE_INC
