REM
REM   $Id: SHOWALL.BAT 1.2 2002/10/16 15:58:32 peterb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@echo off
cd libsrc
cls
echo.
echo   You have a choice of the RXE examples to build...
echo.
echo   B:   Build examples using the Borland Compiler
echo   M:   Build examples using the Microsoft Compiler
echo   Q:   Quit without building any examples
echo.
choice /c:bmq Please choose one of
if errorlevel 3 goto end
if errorlevel 2 goto microsoft

:borland
echo.
echo   Which version of the Borland compiler are you using?
echo.
echo	A: BC 2
echo    B: BC 3.X
echo    C: BC 4.0X
echo    D: BC 4.5X
echo    E: BC 5.X
echo.
choice /c:abcde Please choose your compiler version
if errorlevel 5 goto bc5
if errorlevel 4 goto bc45
if errorlevel 3 goto bc4
if errorlevel 2 goto bc3

:bc2
set BCC_VER=2
goto do_borland

:bc3
set BCC_VER=3
goto do_borland

:bc4
set BCC_VER=4
goto do_borland

:bc45
set BCC_VER=45
goto do_borland

:bc5
set BCC_VER=5

:do_borland
set BCC_ROOT=\bc%BCC_VER%
set MEM_MODEL=
make -B
goto end

:microsoft
echo.
echo   Which version of the Microsoft compiler are you using?
echo.
echo	A: MSC 6
echo    B: MSVC (MSC 8)
echo.
choice /c:ab Please choose your compiler version
if errorlevel 2 goto MSVC

:msc6
set MEM_MODEL=
call do_msc6
goto END

:msvc
set MEM_MODEL=
call do_msc8
goto END

:end
cd ..
