//  $Id: DYNDRVR.H 1.6 2003/03/20 16:59:10 thomd Exp $
//
//  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//  Copyright (c) 1998-2003 Datalight, Inc.
//  All Rights Reserved
//
//  Datalight, Inc. is a Washington corporation located at:
//
//  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
//  Bothell, WA  98021                    Fax: +1.425.951.8094
//  USA                                   Http://www.datalight.com
//
//  This software, including without limitation all source code and
//  documentation, is the confidential, trade secret property of
//  Datalight, Inc., and is protected under the copyright laws of
//  the United States and other jurisdictions.  Portions of the
//  software may also be subject to one or more the following US
//  patents: US#5860082, US#6260156.
//
//  In addition to civil penalties for infringement of copyright
//  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//  penalties for violation of (a) the restrictions on circumvention
//  of copyright protection systems found in 17 U.S.C. 1201 and
//  (b) the protections for the integrity of copyright management
//  information found in 17 U.S.C. 1202.
//
//  U.S. Government Restricted Rights.  Use, duplication,
//  reproduction, or transfer of this commercial product and
//  accompanying documentation is restricted in accordance with
//  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
//  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
//  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//  THIS SOFTWARE IN ERROR.
//
/********************************************************************
   $DOCMODULE:DYNDRVR.H

	Copyright (c) 1998-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary.

	Prototypes used by Dynamic Driver Sample program.

	$DOCHISTORY
	08/12/1998 dg  Created by Drew Gislason
*********************************************************************/

// Dynamic Driver functions
char FindDiskVolume(char *szDriveName);
bool PatchConfigBufferNEWFILEDrive(char *szNewFileName, char newDriveLetter);

// Standard DOS functions (C interface defined by Datalight)
#define O_WRONLY     0x0001
#define A_NORMAL     0x00           // OK for OpenOrCreatFile()
#define ACT_NEXIST_CREATE  0x0010	// fail if file exists

// Int 21h 6Ch
bool PASCAL dlOpenOrCreateFile(unsigned openMode,unsigned attributes,
			     unsigned *pAction,char *pName,int *pHandle);

// Int 21h 3Eh
bool PASCAL dlCloseFile(int handle);

// Int 21h 40h
bool PASCAL dlWriteFile(int handle, unsigned *pByteCount, char *pBuffer);

// Int 21h 19h
bool PASCAL dlGetCurrentDrive(int *pDrive);

// DLXMS.OBJ
int IsHimemInstalled(void);
unsigned TotalXMS(void);
