//  $Id: CMDPROT.H 1.3 2003/03/20 17:00:08 thomd Exp $
//
//  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//  Copyright (c) 1993-2003 Datalight, Inc.
//  All Rights Reserved
//
//  Datalight, Inc. is a Washington corporation located at:
//
//  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
//  Bothell, WA  98021                    Fax: +1.425.951.8094
//  USA                                   Http://www.datalight.com
//
//  This software, including without limitation all source code and
//  documentation, is the confidential, trade secret property of
//  Datalight, Inc., and is protected under the copyright laws of
//  the United States and other jurisdictions.  Portions of the
//  software may also be subject to one or more the following US
//  patents: US#5860082, US#6260156.
//
//  In addition to civil penalties for infringement of copyright
//  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//  penalties for violation of (a) the restrictions on circumvention
//  of copyright protection systems found in 17 U.S.C. 1201 and
//  (b) the protections for the integrity of copyright management
//  information found in 17 U.S.C. 1202.
//
//  U.S. Government Restricted Rights.  Use, duplication,
//  reproduction, or transfer of this commercial product and
//  accompanying documentation is restricted in accordance with
//  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
//  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
//  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//  THIS SOFTWARE IN ERROR.
//
/* PROTO  Version 1.00 */

/* File CMDCMDS.C */
void do_goto(char *args);
int labelcmp(char *str1, char *str2);
void do_if(char *args);
exists(char *file);
void do_set(char *args);
void del_env(char *str);
void add_env(char *str);
unsigned env_size(void);
unsigned env_avail_size(void);
void do_echo(char *args);
char *get_token(char *tok, char *string);
void do_pause(char *args);
void do_del(char *args);
void do_copy(char *args);
void copy_1_file(char *File1, char *File2);
void do_dir(char *path);
void do_type(char *args);
void do_chdir(char *args);
void show_cwd(char *args, unsigned drive);
void do_exit(char *parms);
void do_ver(char *parms);

/* File CMDMAIN.C */
void main(char far *args);
void main_loop(void);
void do_one_command(void);
int memcmp(char *s1, char *s2, unsigned count);
void do_nothing(char *parms);
void do_disk_change(char *parms);
void do_prompt(char *parms);
void do_exe(void);
int do_exe_extension(char *cmd);
void get_string(void);
void make_cmd(void);
void unredirect(void);
void redirect(char *cmd);
void get_batch_file_line(char *str);
void get_file_line(char *str);
char getc(unsigned handle);
void do_batch(char *file);
char toupper(char c);
int isspace(char c);
void memset(char *buf, char val, unsigned size);
void far_memcpy(void far *p1, void far *p2, unsigned count);
void strcat(char *s1, char *s2);
void strcpy(char *s1, char *s2);
int strlen(char *s);
char *strchr(char *s, char c);
char far *get_env(char *var);
char far *get_env_full(char *var);
int exec(char *progname, char *args);
void puts(char *s);
void error(unsigned number);
int far_memcmp(char far *s1, char far *s2, unsigned count);
char * skipwhite(char *p);

/* File CMD.ASM */
void exit(void);
void get_cwd(unsigned drive, char *path);
int set_cwd(char *path);
int dosopen(char *file, unsigned mode);
int doscreate(char *file);
void dosclose(unsigned handle);
void dosdelete(char *file);
long doslseek(unsigned handle, long pos, unsigned mode);
unsigned dosread(unsigned handle, char far *buffer, unsigned count);
unsigned doswrite(unsigned handle, char far *buffer, unsigned count);
int exec_func(char *progname, void *args);
void far * dosmalloc(unsigned para);
void dosfree(void far *mem_ptr);
int get_dos_mem_position(void);
void putc(char c);
int get_current_drive(void);
void set_current_drive(unsigned drive);
void * parse_fcb(char *cmd, struct fcb *fcb);
void get_dos_bufferd_input(char *dos_str);
int findfirst(char *file, struct FFBLK *ffblk, unsigned attr);
int findnext(struct FFBLK *ffblk);
void far * MK_FP(unsigned seg, unsigned off);
unsigned FP_SEG(void far * ptr);
unsigned FP_OFF(void far * ptr);
